对于 AI 代理:可在 https://www.mongodb.com/zh-cn/docs/llms.txt 获取文档索引—通过在任何 URL 路径后添加 .md 可获取所有页面的 Markdown 版本。
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs 菜单

检索所有代理版本

您可以使用以下任何分配的角色成功调用此端点:

基本 URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /softwareComponents/versions/

此端点不使用 HTTP 请求路径参数。

名称
类型
必要性
说明
默认

pretty

布尔

Optional

指示响应正文是否采用 pretty-print 格式的标志。

false

envelope

布尔

Optional

指示是否将响应包装在信封中的标志。

某些 API 客户端无法访问 HTTP 响应标头或状态代码。要解决这个问题,可在查询中设置 envelope=true。

对于返回一个结果的端点,响应体包括:

  • status: HTTP响应代码

  • content:预期响应正文

false

此端点不使用 HTTP 请求正文参数。

名称
类型
说明

automationVersion

字符串

最新版本的 MongoDB Agent。

automationMinimumVersion

字符串

MongoDB Agent支持的最低版本。

biConnectorVersion

字符串

最新版本的BI Connector 。

biConnectorMinimumVersion

字符串

BI Connector支持的最低版本。

mongoDbToolsVersion

字符串

已安装最新版本的 MongoDB 工具。

links

对象数组

指向子资源或相关资源的一个或多个链接。响应中的所有 links 数组至少包含一个名为 self 的链接。URL之间的关系在 Web 链接规范中进行了解释。

curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \
--request GET "http://{opsManagerHost}:{port}/api/public/v1.0/softwareComponents/versions?pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
1{
2 "automationVersion": "10.14.0.6304",
3 "automationMinimumVersion": "10.2.17.5964",
4 "biConnectorVersion": "2.3.4",
5 "biConnectorMinimumVersion": "2.3.1",
6 "mongoDbToolsVersion": "100.0.1",
7 "links": [
8 {
9 "href": "http://{opsManagerHost}:{port}/api/public/v1.0/agents/current",
10 "rel": "self"
11 }
12 ]
13}